#ifndef _JESD_CSU_LTE_FDD_H_
#define _JESD_CSU_LTE_FDD_H_

#include "typedef.h"

// 4 ant, LTE
#define JESD_LTEFDD_ANT_NUM							4 // 2
#define JESD_LTEFDD_MARGIN							5
#define JESD_LTEFDD_SLOT_NUM						10

#define JESD_LTEFDD_TX_NODENUM						10
#define JESD_LTEFDD_RX_NODENUM						10

#define JESD_LTEFDD_SUBFRAME_SAM_CNT						61440

#define JESD_LTEFDD_TX_LIST_ADDR							0x8A000000
#define JESD_LTEFDD_RX_LIST_ADDR							0x8A008000


#if 0
#define JESD_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR		0x9F00000	// SM2
#define JESD_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR		0x9FF0400	// SM2
#define JESD_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR		0xA380000	// SM5
#define JESD_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR		0xA290400	// SM4
#else
#define JESD_LTEFDD_TX_SLOT_EVEN_DATA_ADDR			0x60F00000	// 0xF0000
#define JESD_LTEFDD_TX_SLOT_ODD_DATA_ADDR			0x60FF0000	// 0xF0000
#endif

#define JESD_LTEFDD_RX_SLOT_EVEN_DATA_ADDR			0x6BC00000	// 0xF0000
#define JESD_LTEFDD_RX_SLOT_ODD_DATA_ADDR			0x6BCF0000	// 0xF0000

int32_t jesd_csu_init_lte_fdd();

int32_t jesd_csu_init_lte_fdd_slot0();

#if 0
int32_t jesd_csu_init_nr_7ds2u_iomode();
int32_t jesd_csu_init_nr_7ds2u_8t8r();
int32_t jesd_csu_init_nr_7ds2u_4t4r_98();

int32_t jesd_csu_start_nr_7ds2u();
int32_t jesd_csu_start_nr_7ds2u_8t8r();
#endif

#endif

